Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.widget
Class OWLWidgetUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.widget.OWLWidgetUtil

    public class OWLWidgetUtil

extends Object

Author:
  Holger Knublauch

Constructor Summary
`OWLWidgetUtil()`

Method Summary
`static boolean` | `isDatatypeProperty(RDFSDatatype datatype, RDFSNamedClass cls, RDFProperty property)`
`static boolean` | `isDatatypeProperty(RDFSNamedClass cls, RDFProperty property)`
`static boolean` | `isFunctionalProperty(RDFSNamedClass cls, RDFProperty property)`
`static boolean` | `isRangelessDatatypeProperty(RDFSNamedClass cls, RDFProperty property)`
`static boolean` | `isRangelessObjectProperty(RDFSNamedClass cls, RDFProperty property)`
`static boolean` | `isRestrictedProperty(RDFSNamedClass namedClass, RDFProperty property)`
`static boolean` | `isSingleDatatypeProperty(RDFSDatatype datatype, RDFSNamedClass cls, RDFProperty property)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLWidgetUtil

    public OWLWidgetUtil()

Method Detail

### isDatatypeProperty

    public static boolean isDatatypeProperty(RDFSNamedClass cls,
                                             RDFProperty property)

### isDatatypeProperty

    public static boolean isDatatypeProperty(RDFSDatatype datatype,
                                             RDFSNamedClass cls,
                                             RDFProperty property)

### isFunctionalProperty

    public static boolean isFunctionalProperty(RDFSNamedClass cls,
                                               RDFProperty property)

### isRangelessDatatypeProperty

    public static boolean isRangelessDatatypeProperty(RDFSNamedClass cls,
                                                      RDFProperty property)

### isRangelessObjectProperty

    public static boolean isRangelessObjectProperty(RDFSNamedClass cls,
                                                    RDFProperty property)

### isRestrictedProperty

    public static boolean isRestrictedProperty(RDFSNamedClass namedClass,
                                               RDFProperty property)

### isSingleDatatypeProperty

    public static boolean isSingleDatatypeProperty(RDFSDatatype datatype,
                                                   RDFSNamedClass cls,
                                                   RDFProperty property)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.